Lo hice y lo entendí

El blog de Vicente Navarro
18 jun

SwitchProxy Tool para Firefox 3. Google abandona el Google Browser Sync.

Como no podía ser de otra forma, hoy me he sumado al Firefox 3 Download Day 2008. No sólo me he sumado, sino que lo he promovido entre mis allegados. Además, me he sacado el correspondiente diploma y todo, para que quede constancia, que yo no había participado nunca antes en un record Guiness (¡parece que se han superado los 8 millones de descargas!):

Yo ya había hecho mis pruebas con las versiones beta y las RC (entre otras cosas, porque venía por defecto con Ubuntu 8.04) y realmente había notado la gran mejora en velocidad, consumo de memoria y estabilidad que trae. Sin embargo, también había visto que muchas de mis extensiones favoritas no funcionaban, lo que me hacía plantearme si podría permitirme migrar de “FF2 con extensiones” a “FF3 sin extensiones”. Por eso escribí hace unas semanas: Los plugins, el arma secreta de Firefox.

Hoy, tras tomar las medidas pertinentes para permitirme una marcha atrás a Firefox 2 en el peor de los casos, he migrado a Firefox 3 con la buena noticia de que he podido actualizar casi todos mis plugins para funcionar con la nueva versión.

El “casi todos” viene por dos extensiones que ya no están soportadas.

Por un lado, el SwitchProxy Tool, una extensión que me permite ir cambiando de servidor proxy con tan solo dos clicks de ratón. Si nos movemos con nuestro portátil por diferentes entornos con diferentes servidores proxy, es una extensión imprescindible, pero desafortunadamente, no es compatible con Firefox 3.

En Los plugins, el arma secreta de Firefox, ya conté cómo hacer funcionar este plugin con Thunderbird 2, puesto que el plugin no funciona con dicha versión no por ninguna limitación de la versión 2, sino por estar configurado para no aceptar Thunderbird > 1.5 ni Firefox > 2.

Igual que hicimos para “compatibilizar” el plugin con Thunderbird 2, no hay ninguna dificultad en hacer lo mismo con Firefox 3 descargando el fichero switchproxy_tool-1.4.1-fx+mz+tb.xpi, descomprimiéndolo (los .xpi son ficheros ZIP), editando el fichero install.rdf y cambiando esto:

		<em:targetApplication>
			<Description>
				<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
				<em:minVersion>1.0</em:minVersion>
				<em:maxVersion>2.0</em:maxVersion>
			</Description>
		</em:targetApplication>
		
		<em:targetApplication>
			<Description>
				<em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
				<em:minVersion>0.5</em:minVersion>
				<em:maxVersion>1.5</em:maxVersion>
			</Description>
		</em:targetApplication>

por esto:

		<em:targetApplication>
			<Description>
				<em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
				<em:minVersion>1.0</em:minVersion>
				<em:maxVersion>3.0</em:maxVersion>
			</Description>
		</em:targetApplication>
		
		<em:targetApplication>
			<Description>
				<em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
				<em:minVersion>0.5</em:minVersion>
				<em:maxVersion>2.0</em:maxVersion>
			</Description>
		</em:targetApplication>

y volviendo a comprimir el fichero .xpi de nuevo. Tras esto, arrastramos el fichero del plugin al navegador y se instalará sin problemas. Hasta donde yo he probado, funciona perfectamente.

En cualquier caso, dejo la extensión modificada aquí mismo por si alguien prefiere evitarse el trabajo de hacer estos cambios:

El otro plugin que voy a sentir mucho perder es el Google Browser Sync. Estaba siguiendo las páginas Google Browser Sync for Firefox 3 y please update google browser sync for firefox 3, para ver si Google finalmente se decidía a actualizar el plugin para que lo pudiéramos disfrutar en Firefox 3, pero finalmente parece que Google ha decidido no seguir desarrollándolo: Google Browser Sync Discontinued, No Firefox 3 Support.

La verdad es que el nuevo sistema de Firefox 3 de guardar los marcadores con SQLite en el fichero places.sqlite en vez de en el añejo bookmarks.html debe dificultar mucho la adaptación a la nueva versión.

¿Alternativas para sincronizar al menos los marcadores?

Aunque tengo cuenta de del.icio.us y su extensión correspondiente y los uso mucho, no me sirve para sincronizar marcadores (la sincronización de cookies y otros elementos ya la doy totalmente por perdida), ya que yo uso del.icio.us para guardar enlaces de páginas que me van gustando pero que no sé si volveré a consultar. Es un poco un “histórico de webs que me han gustado por algo”.

En cambio, mis marcadores de Firefox son enlaces a páginas de uso muy frecuente, por lo que me gusta tener pocos, bien organizados y que estén sincronizados en todos los ordenadores que uso.

El Bookmark Sync and Sort no es una opción, ya que no se actualiza desde el 2006 y, por tanto, no sirve para Firefox 3. Además, este plugin sincroniza los marcadores usando un servidor FTP/WebDAV del usuario, algo con lo que no todos cuentan, por lo que añade un gran obstáculo a que sea viable para la mayoría de usuarios.

Así que me he pasado al Foxmarks, que permite almacenar los marcadores en los servidores de la empresa que lo desarrolla, o incluso en nuestro propio servidor, si así lo preferimos. Al poner sus servidores a disposición de este plugin, la empresa Foxmarks gana el análisis anónimo de los marcadores que almacenan sus usuarios para estudiar sus tendencias e intereses. Las primeras sensaciones son muy buenas, aunque me gustaría que fuera capaz de sincronizar otros elementos como hacía el viejo Google Browser Sync.

En cualquier caso, si no me equivoco, un próximo sustituto del Google Browser Sync será el Mozilla Weave, que ya está en un estado de desarrollo bastante avanzado: Weave Status Update 9/6/08.

Google Browser Sync
2006-2008
Que en paz descanse

Actualización 28/9/09: La extensión Multiproxy Switch es una versión renovada del abandonado SwitchProxy Tool.

:wq

Entradas relacionadas

10 Comentarios a “SwitchProxy Tool para Firefox 3. Google abandona el Google Browser Sync.”

  • tuko dice:

    Pues yo, usuario feliz (y por obligación independiente) de debian etch, no he podido con la curiosidad, ni con la iniciativa de participar en el récord, y al final he terminado complicándome la vida intentando instalarlo.

    He necesitado bajar y compilar una versión un poquito más actualizada de GTK+ y luego resignarme a descomprimir el software en un directorio particular. Vamos, a la antigua usanza de “archivos de programa” de micro~. El caso es que al final no me ha funcionado. No estoy seguro, pero sospecho que los 64bits de mi ordenador tienen la culpa.

    ¿Sería necesaria una versión especial para sistemas de 64 bits? Me llama la atención que en la página de descargas no exista ninguna versión de 64 bits. Ni siquiera para los modernísimos Windows de 64 bits, que aunque no conozco a nadie que lo use he oído que existen.

  • Der Teufel dice:

    Excelente, eso de modificar el install.rdf lo hice hace un buen tiempo para que el MinimizetoTray, funcionara en Sunbird y Thunderbird, hasta ahora sin complicaciones, jeje, y pues ojalá actualizaran las versiones de estas extensiones tan buenas…

    Saludos!

  • cls4ever dice:

    Yo con delicius voy que tiro. Lastima que de los dos plugins que usaba para este fin (boton de inserccion rapida y listado de bookmarks como menu desplegable) solo me funcione el primero :( He mirado algun otro por ahi pero ninguno me convence, todos se tiran a menus laterales, tropecientos botones (algunos sin posibilidad de deshabilitacion).
    Los demas plugins parece que me funcionan bastante bien (forecastfox, gmail manager, flash block…)
    Ah y aprovecho para recomendar uno que descubri el otro dia y me ha resultado sumamente util en mis busquedas: CustomizeGoogle se llama, infinidad de opciones configurables.
    A modo de curiosidad, el aun en proceso de desarrollo y sin demasiado material con el que probarlo: Google Earth Plugin

  • Iván dice:

    Hola,

    yo descubrí foxmarks hace casi un año y en su momento conté en el blog lo que me parecío.
    Es realmente cómodo no tener que preocuparte del ordenador en el que estás sentado y saber que cualquier marcador que utilices lo tendrás siempre disponible.
    Esta extensión es una de las “must have”.

    Saludos, Iván.

  • @tuko Te sugiero que pruebes con la versión ya compilada de Swiftfox para 64 bits. Es un Firefox muy optimizado para diferentes plataformas. Yo lo estuve usando durante una época cuando tenía problemas con el plugin de Flash. Hablé un poco sobre ello en: Sobre el plugin de Flash en Firefox/Iceweasel en Debian AMD64: El nspluginwrapper aceptado en Testing.

    De todas formas, es lo que pasa con Debian, que las versiones se quedan obsoletas fácilmente. Yo lo uso en mis “servidores caseros”, pero en el ordenador para uso de escritorio me he pasado a Ubuntu, y de momento estoy contento.

    @Der Teufel ¡Gracias! ¡Pues es una muy buena idea!

    @cls4ever No se si habrás probado la última versión del plugin oficial de del.icio.us para Firefox. ¡Va muy bien!

    ¡Y muchas gracias por tus recomendaciones! ¡A ver si las pruebo!

    @Iván ¡Pues me imagino que lo leería, pero ni me acordaba! Sí, es una extensión imprescindible ahora que ya no está la de Google, sin embargo, la Mozilla Weave, que permitirá soncronizar también otros elementos como cookies igual que hacía el Google Browser Sync promete ponérselo muy difícil.

  • Grey dice:

    Yo para los marcadores hace tiempo qué utilizo GMarks, sincroniza con los bookmarks y con las notas de mi cuenta de google. Los marcadores de firefox los uso como portapapeles de web a las qué echar un vistazo cuando tenga tiempo.

  • Bytecoders dice:

    Yo también uso del.icio.us pero en el trabajo por ejemplo lo voy guardando en los mismos marcadores de Firefox.
    En el trabajo los ordenadores de escritorio van con Ubuntu, tuve las mil movidas de los plugins, sobretodo con Firebug e Yslow. Al final resulta que para instalar los plugins en FF3 necesitabas borrar una carpeta con las preferencias, donde entre otras cosas estaban también los marcadores.
    Pues nada sin dudarlo la borre y pude instalar el plugin, y eso (ya de paso) aprendí la importancia de almacenar o sincronizar los marcadores. :(

    Saludos

  • @Grey Pues el GMarks parece una opción muy interesante también. ¡Gracias por mencionarla!

    @Bytecoders Vaya, me temo que en tu caso te aplica lo de “la letra con sangre entra”. Ya lo siento…

  • FranDJ dice:

    Si quieres una aplicacion que funciona en FF3 para el switching de proxy, la que yo utilizo es foxyproxy que me funciona bien.
    Puedes tener definidos varios proxy y que se activen segun criterios de a que sitios estas accediendo.

    Espero que te sea útil.

    Fran.

  • @FranDJ ¡Tiene un aspecto impresionante! ¡Muchas gracias por el consejo! ¡Lo probaré, que seguro que es mejor que el SwitchProxy!

Tema LHYLE09, creado por Vicente Navarro